=== debian/changelog ===
e1000e-dkms (1.1.2-ig1) hardy; urgency=low

  * initial release

 -- Guido S. Nickels <g.nickels@plusserver.de>  Thu, 11 Feb 2010 10:05:08 +0100
