=== debian/control ===
Source: e1000e-dkms
Section: admin
Priority: optional
Maintainer: Guido S. Nickels <g.nickels@plusserver.de>
Build-Depends: debhelper (>> 4.0.0), gzip, tar, sed, grep
Standards-Version: 3.8.0

Package: e1000e-dkms
Architecture: all
Depends: make, dkms, linux-libc-dev, libc6-dev, gcc, linux-headers-generic | linux-headers-server | linux-headers
Description: Intel e1000e ethernet driver source
 This is the original e1000e driver from sourceforge, with support
 for Intel 82578DM and some other newer chipsets not supported by the
 driver included in the Debian/Ubuntu kernel.
