=== debian/rules ===
#!/usr/bin/make -f

build:
	tar --transform='s,/*[^/]*,source,' -xzf source.tar.gz
	sed -i "s/###VERSION###/$$(grep -o -m 1 '\([0-9]\.\)\+[0-9]\+' debian/changelog)/g" debian/install
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean
	sed -i "s/e1000e-[^-]*$$/e1000e-###VERSION###/g" debian/install
	rm -rf source

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs source/README
	dh_install
	dh_installman source/e1000e.7
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
