=== debian/changelog ===
e1000e-dkms (3.2.7.1) trusty; urgency=medium

  * Fix I219-LM unit hang issue when plugging in/out the ethernet cord
    really fast. (LP: #1496724)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Tue, 06 Oct 2015 17:54:17 +0800

e1000e-dkms (1.0) trusty; urgency=medium

  * Automatically packaged by DKMS.
  * Fix S3 hang caused by e1000e. (LP: #1481655)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 13 Aug 2015 18:15:18 +0800
