=== debian/control ===
Source: e1000e-dkms
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: e1000e-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: e1000e driver in DKMS format.
XB-Modaliases: ${modaliases}
