=== debian/changelog ===
e1000e-dkms (3.4.2.4-1~somerville3) bionic; urgency=medium

  * No-change rebuild.

 -- Anthony Wong <anthony.wong@canonical.com>  Mon, 08 Jul 2019 07:12:16 +0000

e1000e-dkms (3.4.2.4-ubuntu2) bionic; urgency=medium

  * Add dh-modaliases support.

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 8 Jul 2019 14:10:17 +0800

e1000e-dkms (3.4.2.4-ubuntu1) bionic; urgency=medium

  * Enable initrd rebuild.

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 4 Jul 2019 19:01:19 +0800

e1000e-dkms (3.4.2.4-1~somerville2) bionic; urgency=medium

  * Add REMAKE_INITRD="yes"

 -- Anthony Wong <anthony.wong@canonical.com>  Thu, 04 Jul 2019 11:02:22 +0000

e1000e-dkms (3.4.2.4-1~somerville1) bionic; urgency=medium

  * New upstream release 3.4.2.4.

 -- Anthony Wong <anthony.wong@canonical.com>  Tue, 2 Jul 2019 21:23:49 +0800

e1000e-dkms (3.4.2.3-1) UNRELEASED; urgency=medium

  * New upstream release 3.4.2.3.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:22:49 +0800

e1000e-dkms (3.4.2.1-1) UNRELEASED; urgency=medium

  * New upstream release 3.4.2.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:20:49 +0800

e1000e-dkms (3.4.1.1-1) UNRELEASED; urgency=medium

  * New upstream release 3.4.1.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:17:49 +0800

e1000e-dkms (3.4.0.2-1) UNRELEASED; urgency=medium

  * New upstream release 3.4.0.2.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:15:49 +0800

e1000e-dkms (3.3.6-1) UNRELEASED; urgency=medium

  * New upstream release 3.3.6.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:13:49 +0800

e1000e-dkms (3.3.5-1) UNRELEASED; urgency=medium

  * New upstream release 3.3.5.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:12:49 +0800

e1000e-dkms (3.3.4-1) UNRELEASED; urgency=medium

  * New upstream release 3.3.4.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:11:49 +0800

e1000e-dkms (3.3.3-1) UNRELEASED; urgency=medium

  * New upstream release 3.3.3.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:10:49 +0800

e1000e-dkms (3.3.1-1) UNRELEASED; urgency=medium

  * New upstream release 3.3.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 21:09:49 +0800

e1000e-dkms (3.2.7.1-1) UNRELEASED; urgency=medium

  * New upstream release 3.2.7.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:42:49 +0800

e1000e-dkms (3.2.4.2-1) UNRELEASED; urgency=medium

  * New upstream release 3.2.4.2.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:39:49 +0800

e1000e-dkms (3.1.0.2-1) UNRELEASED; urgency=medium

  * New upstream release 3.1.0.2.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:27:49 +0800

e1000e-dkms (3.1.0-1) UNRELEASED; urgency=medium

  * New upstream release 3.1.0.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:09:49 +0800

e1000e-dkms (3.0.4.1-1) UNRELEASED; urgency=medium

  * New upstream release 3.0.4.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:06:49 +0800

e1000e-dkms (3.0.4-1) UNRELEASED; urgency=medium

  * New upstream release 3.0.4.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:04:49 +0800

e1000e-dkms (2.5.4-1) UNRELEASED; urgency=medium

  * New upstream release 2.5.4.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:02:49 +0800

e1000e-dkms (2.4.14-1) UNRELEASED; urgency=medium

  * New upstream release 2.4.14.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 20:02:49 +0800

e1000e-dkms (2.2.14-1) UNRELEASED; urgency=medium

  * New upstream release 2.2.14.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:59:49 +0800

e1000e-dkms (2.1.4-1) UNRELEASED; urgency=medium

  * New upstream release 2.1.4.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:58:49 +0800

e1000e-dkms (2.0.0.1-1) UNRELEASED; urgency=medium

  * New upstream release 2.0.0.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:57:49 +0800

e1000e-dkms (2.0.0-1) UNRELEASED; urgency=medium

  * New upstream release 2.0.0.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:55:49 +0800

e1000e-dkms (1.11.3-1) UNRELEASED; urgency=medium

  * New upstream release 1.11.3.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:31:49 +0800

e1000e-dkms (1.10.6-1) UNRELEASED; urgency=medium

  * New upstream release 1.10.6.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:29:49 +0800

e1000e-dkms (1.9.5-1) UNRELEASED; urgency=medium

  * New upstream release 1.9.5.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:28:49 +0800

e1000e-dkms (1.6.3-1) UNRELEASED; urgency=medium

  * New upstream release 1.6.3.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:26:49 +0800

e1000e-dkms (1.6.2-1) UNRELEASED; urgency=medium

  * New upstream release 1.6.2.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:25:49 +0800

e1000e-dkms (1.5.1-1) UNRELEASED; urgency=medium

  * New upstream release 1.5.1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:23:49 +0800

e1000e-dkms (1.4.4-1) UNRELEASED; urgency=medium

  * New upstream release 1.4.4.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:10:49 +0800

e1000e-dkms (1.3.17-1) UNRELEASED; urgency=medium

  * New upstream release 1.3.17.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:09:49 +0800

e1000e-dkms (1.3.10a-1) UNRELEASED; urgency=medium

  * New upstream release 1.3.10a.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:07:49 +0800

e1000e-dkms (1.2.20-1) UNRELEASED; urgency=medium

  * New upstream release 1.2.20.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 19:05:49 +0800

e1000e-dkms (1.2.17-1) UNRELEASED; urgency=medium

  * New upstream release 1.2.17.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 18:58:49 +0800

e1000e-dkms (1.2.10-1) UNRELEASED; urgency=medium

  * New upstream release 1.2.10.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 2 Jul 2019 18:57:49 +0800


