=== debian/control ===
Source: e1000e-dkms
Section: kernel
Priority: optional
Maintainer: You-Sheng Yang <vicamo@gmail.com>
Build-Depends:
 debhelper (>= 9~),
 dh-modaliases,
 dkms,
 quilt
Standards-Version: 4.1.4
Homepage: https://gitlab.com/vicamo/e1000e-dkms
Vcs-Browser: https://gitlab.com/vicamo/e1000e-dkms/tree/debian/master
Vcs-Git: https://gitlab.com/vicamo/e1000e-dkms.git

Package: e1000e-dkms
Architecture: all
Depends:
 dkms,
 ${misc:Depends},
Provides: e1000e-modules
XB-Modaliases: ${modaliases}
Description: e1000e Linux driver in DKMS format
 This package contains necessary files to build loadable kernel driver module
 with dkms.
 .
 Check /usr/share/doc/e1000e-dkms/README.gz for detailed information.
