=== debian/tests/control ===
Tests: dkms-autopkgtest
Restrictions:
 needs-root,
 allow-stderr,
Depends:
 e1000e-dkms,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,

Tests: check-modaliases
Depends:
 e1000e-dkms,
 kmod,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,

Tests: check-initrd
Depends:
 e1000e-dkms,
 initramfs-tools-core,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
 linux-image-686-pae | linux-image-amd64 | linux-image-generic | linux-image,
