=== debian/watch ===
version=4
http://sf.net/e1000/ e1000e-(.+)\.tar\.gz debian uupdate
